#
# spec file for package rpmfind (Version 1.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  bzip gnome-libs gnome-libs-devel libxml libxml-devel popt rpm2html
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gnome-libs gnome-libs-devel gpm gppshare grep groff gzip kbd less libtool libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl popt ps rcs readline rpm rpm2html sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         rpmfind
Copyright:    W3C Copyright (BSD like)
Group:        Applications/System
Provides:     rpmfind 
Requires:     rpm2html
Autoreqprov:  on
Summary:      Automatic RPM Package Update
Version:      1.6
Release:      168
Source:     ftp://rufus.w3.org/pub/rpmfind/rpmfind-%{version}.tar.gz
#Patch:      rpmfind-1.2.dif
# autoconf
#BuildRoot:  /var/tmp/rpmf

%description
rpmfind analyze the current state of the system, check a remote database
using HTTP to lookup the packages providing the best affinity with
your current software base and also list the extra packages that
you need to install to solve the missing dependencies.
Rpmfind can also do the transfer once the list of package has been
established.
home page: http://rufus.w3.org/linux/rpm2html/rpmfind.html

Authors:
--------
    Daniel Veillard <veillard@w3.org>

SuSE series: ap

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup
#%patch
# autoconf
CFLAGS="$RPM_OPT_FLAGS  -D_LARGEFILE64_SOURCE -I/usr/include/rpm" \
LIBS="-L/usr/X11R6/lib" \
   ./configure --prefix=%{_prefix} \
               --mandir=%{_mandir} \
               --sysconfdir=/var/lib

%build
make

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
  rm -fr $RPM_BUILD_ROOT
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_bindir}
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_datadir}/$RPM_PACKAGE_NAME
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_mandir}/man1
%{INSTALL_DIR} $RPM_BUILD_ROOT/var/lib
make install prefix=$RPM_BUILD_ROOT%{_prefix} \
             sysconfdir=$RPM_BUILD_ROOT/var/lib
# %{INSTALL_DATA} new.gif dir.gif $RPM_BUILD_ROOT/usr/share/$RPM_PACKAGE_NAME
# make install.man
# gzip -9f $RPM_BUILD_ROOT/usr/man/man1/rpmfind.1
export RPM_BUILD_ROOT
# %clean
# rm -fr $RPM_BUILD_ROOT
# %config /var/lib/rpmfind.config

%files
%doc BUGS CHANGES Copyright README INSTALL TODO
%{_bindir}/rpmfind
%{_mandir}/*/rpmfind*

%changelog -n rpmfind
* Tue Nov 14 2000 - ke@suse.de
- Use spec file macros.
- Don't claim to own /usr/bin.
- Include manpage.
- Use -D_LARGEFILE64_SOURCE (thanks to Andreas Jaeger).
- Apply patch to configure.in to check for `main' in librpm.
* Sat Nov 04 2000 - kukuk@suse.de
- Fix needed for build
* Fri Sep 29 2000 - hhetter@suse.de
- update to version 1.6
- neededforbuild: libxml, libxmld
- tested on 7.0
* Mon Feb 07 2000 - ro@suse.de
- fix for new rpm: -lbz2, -lpopt, -I/usr/include/rpm
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Apr 30 1999 - ro@suse.de
- update version 1.2
* Wed Dec 02 1998 - ke@suse.de
- update: version 1.0.
* Mon Aug 17 1998 - ke@suse.de
- rpmfond.spec: file list cleanup.
* Thu Aug 13 1998 - ke@suse.de
- initial package: version 0.98.
